SuSE 9.3 und Java Versionen?

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
holger2503
Newbie
Newbie
Beiträge: 12
Registriert: 30. Jul 2005, 18:44
Wohnort: Magdeburg
Kontaktdaten:

Beitrag von holger2503 » 2. Aug 2005, 01:56

Also ich habe das alles mal so probiert und nichts geht.

Vielleicht liegt es an den Verschiedenen Versionen und der Beitrag hier ist ja auch schon einige Tage alt.

Also ich habe hier Suse 9.3 mit den Updates vom 1.8.2005 und zunächst habe ich versucht mit YOU einfach die Java-Version upzudaten aber dort werden zwar die 1.5.x versionen angezeigt aber sind nicht mit Kreutz auswählbar. Die 1.4.x welche hier standardgemäß installiert ist funktioniert ja soweit aber weshalb kann man diese nicht wie ansich sonst alles andere über YOU updaten?

Wenn das noch immer nicht geht wäre es toll wenn nochmal jemand kurz die Links für die aktuelle Suse Version und die Reiehenfolge sagt weil ehrlich gesagt ist das hier für Neulinge recht verwirrend. Soll keine schlechte Kritik sein aber der Link in Punkt 1a existiert nicht und Punkt 1.c soll wegbleiben etc etc...

Also es wär wirklich toll wenn ihr das nochmal so in aktueller Form kurz erklären könnet.

Eine kurze Frage noch: Was ist Uhv ?? Ja ich habe bisher auch nur Win gesehen und versuch es hier zu verstehen. Danke im Voraus für eure Bemühungen.

mfg holger

Werbung:
}-Tux-{
Moderator
Moderator
Beiträge: 696
Registriert: 12. Dez 2004, 19:54
Kontaktdaten:

Beitrag von }-Tux-{ » 2. Aug 2005, 02:09

bitte eröffne doch bei fragen einen neuen thread das ist dann übersichtlicher und macht das howto nicht "kaputt" evlt kann der "diktator" ja eingreifen :wink:

der link zeigt halt nicht auf die aktuelle version http://mirrors.sunsite.dk/jpackage/1.6/ ... noarch.rpm
steht da aber auch geschrieben
(bzw. des aktuell verfügbaren)
punkt 1.c fällt eh flach, da du suse93 hast und nicht suse91

bei punkt 3.a nimmst du dieses rpm:
http://mirrors.sunsite.dk/jpackage/1.6/ ... .nosrc.rpm

du musst einfach nur so vorgehen wie oben beschrieben. Sollte eigentlich ganz einfach sein.


mfg }-Tux-{

traffic
Guru
Guru
Beiträge: 2750
Registriert: 13. Feb 2005, 05:50

Beitrag von traffic » 2. Aug 2005, 03:04

1. Mit YaST Online Update kannst Du java-1.4.2-sun nicht auf java-1.5.0 aktualisieren, weil java-1.4.2-sun und java-1.5.0-sun nicht dasselbe sind.

2. Du solltest unbedingt mal unter "YaST -> Software -> Software installieren oder löschen" nachschauen, was es da so gibt. Bei SuSE 9.3 ist dort auch java-1.5.0-sun dabei. Installieren musst Du es halt selbst, das sind drei Mausklicks in YaST... Warum findet das eigentlich kaum jemand? Ist "YaST -> Software -> Software installieren oder löschen" wirklich so gut versteckt?

3. Falls es so aus irgendeinem Grund nicht gehen sollte, findest Du die Pakete auch hier:

ftp://ftp.gwdg.de/pub/linux/suse/ftp.su ... 3/rpm/i586

Das ist allerdings die Version 1.5.0.03. Die Version 1.5.0.04 verteilt SuSE nicht, da sie gegenüber der 1.5.0.03 keine sicherheitsrelevanten Änderungen enthält.

4. Wenn Du trotzdem die 1.5.0.04 haben willst, obwohl sie sich nur minimal von der 1.5.0.03 unterscheidet, dann wirst Du diese Anleitung hier durcharbeiten müssen.

Ein ganz klein wenig Eigeninitiative wäre wirklich nicht verkehrt. Schneid bei den Links einfach den Teil nach dem letzten Schrägstrich ab, dann landest Du im übergeordneten Verzeichnis. Dort wirst Du eine Liste aller Dateien vorfinden, die in diesem Verzeichnis liegen, ab dann ist es echt nicht mehr schwer, die richtige zu finden.
openSUSE Factory - GNOME 2.32.1

Benutzeravatar
wolfsohn
Member
Member
Beiträge: 100
Registriert: 30. Mai 2004, 14:21
Wohnort: Terra

Beitrag von wolfsohn » 2. Aug 2005, 17:04

hab es mal zurecht gestutzt und verschoben... :wink:

holger2503
Newbie
Newbie
Beiträge: 12
Registriert: 30. Jul 2005, 18:44
Wohnort: Magdeburg
Kontaktdaten:

Beitrag von holger2503 » 3. Aug 2005, 00:37

Also es war dann doch einfacher als ich dachte, die vielen verschiedenen Schritte und Downloads braucht man mit Suse 9.3 ja echt nicht mehr...

Falls es jemanden interessiert hier ein kurzes How-To wie ich nun auf java 1.5.0_03 für Firefox umgestellt habe:

also vom angegebenen FTP-Server die Dateien
java-1_5_0-sun-1.5.0_03-0.1.i586.rpm
und
java-1_5_0-sun-plugin-1.5.0_03-0.1.i586.rpm
downloaden und diese sind dort automatisch bei mir im Ordner /home/holger abgelegt. Dort dann einfach jeweils auf die Datei klicken und dann kommt schon die Abfrage ob man es mit Anmeldung als root mit YAST installieren will. Ich habe das einfach mal so gemacht und anschließend den Rechner neu gestartet. Das wars schon und es scheint alles zu funktionieren 8)

Danke für Euren Support!

mfg holger

traffic
Guru
Guru
Beiträge: 2750
Registriert: 13. Feb 2005, 05:50

Beitrag von traffic » 3. Aug 2005, 01:49

Gib mal in der Adresszeile von Firefox folgendes ein:

Code: Alles auswählen

about:plugins
Und dann noch folgendes in der Konsole:

Code: Alles auswählen

java -version
So kannst Du überprüfen, ob wirklich die neue Version benutzt wird. Wenn nicht, genügt es wahrscheinlich, die alte mit YaST zu deinstallieren.
openSUSE Factory - GNOME 2.32.1

holger2503
Newbie
Newbie
Beiträge: 12
Registriert: 30. Jul 2005, 18:44
Wohnort: Magdeburg
Kontaktdaten:

Beitrag von holger2503 » 3. Aug 2005, 07:24

application/x-java-bean;version=1.5 Java - Ja
application/x-java-bean;jpi-version=1.5.0_03 Java - Ja

bei java -version kommt eine webseite ... boku.ac.at/javaeinf/ ... warum auch immer.
Aber jedenfalls hat die Umstellung auf V 1.5.x hat jedenfalls nun komplett über Yast geklappt.

DANKE

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 4 Gäste